phing-tasks-ext

# Class: ScpTask Source Location: /tasks/ext/ScpTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --ScpTask
Copy files to and from a remote host using scp. #### Author(s): Johan Van den Brande <johan@vandenbrande.com> #### Version: $Id: ScpTask.php 552 2009-08-29 12:18:13Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods getFile getMode getTodir init main setFile setMode setTodir
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 32] Copy files to and from a remote host using scp. #### Tags:
author: | Johan Van den Brande <johan@vandenbrande.com>
version: | $Id: ScpTask.php 552 2009-08-29 12:18:13Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method getFile [line 70]
`void getFile( )`
[ Top ] ### method getMode [line 50]
`void getMode( )`
[ Top ] ### method getTodir [line 60]
`void getTodir( )`
[ Top ] ### method init [line 75]
`void init( )`
#### Tags:
access: | public
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 83]
`void main( )`
#### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setFile [line 65]
`void setFile( $file)`
#### Parameters:
| $file |
[ Top ] ### method setMode [line 45]
`void setMode( $mode)`
#### Parameters:
| $mode |
[ Top ] ### method setTodir [line 55]
`void setTodir( $todir)`
#### Parameters:
| $todir |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:57 +0200 by phpDocumentor 1.4.3